Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(639)

Unified Diff: third_party/pkg/angular/scripts/env.sh

Issue 148453003: Updating Angular version (Closed) Base URL: https://dart.googlecode.com/svn/branches/bleeding_edge/dart
Patch Set: Created 6 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: third_party/pkg/angular/scripts/env.sh
diff --git a/third_party/pkg/angular/scripts/env.sh b/third_party/pkg/angular/scripts/env.sh
new file mode 100755
index 0000000000000000000000000000000000000000..4497c17fe3aef90014db9d5676bdd00f1cbd5a94
--- /dev/null
+++ b/third_party/pkg/angular/scripts/env.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+set -e
+DART=`which dart|cat` # pipe to cat to ignore the exit code
+export DARTSDK=`which dart | sed -e 's/\/dart\-sdk\/.*$/\/dart-sdk/'`
+if [ "$DARTSDK" = "/Applications/dart/dart-sdk" ]; then
+ # Assume we are a mac machine with standard dart setup
+ export DARTIUM="/Applications/dart/chromium/Chromium.app/Contents/MacOS/Chromium"
+else
+ export DARTSDK="`pwd`/dart-sdk"
+ case $( uname -s ) in
+ Darwin)
+ export DARTIUM=${DARTIUM:-./dartium/Chromium.app/Contents/MacOS/Chromium}
+ ;;
+ Linux)
+ export DARTIUM=${DARTIUM:-./dartium/chrome}
+ ;;
+ esac
+fi
+export DART=${DART:-"$DARTSDK/bin/dart"}
+export PUB=${PUB:-"$DARTSDK/bin/pub"}
+export DARTANALYZER=${DARTANALYZER:-"$DARTSDK/bin/dartanalyzer"}
+export DARTDOC=${DARTDOC:-"$DARTSDK/bin/dartdoc"}
+
+
+export CHROME_CANARY_BIN=${CHROME_CANARY_BIN:-"$DARTIUM"}
+export CHROME_BIN=${CHROME_BIN:-"google-chrome"}
+export DART_FLAGS='--enable_type_checks --enable_asserts'
+export PATH=$PATH:$DARTSDK/bin
« no previous file with comments | « third_party/pkg/angular/scripts/changelog/changelog.spec.js ('k') | third_party/pkg/angular/scripts/generate-documentation.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698